Package org.eclipse.birt.chart.model.attribute

# Interface Gradient

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `Fill`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `GradientImpl`

public interface Gradient extends Fill
A representation of the model object 'Gradient'. Gradient extends type Fill specialized to represent a two-color gradient.

The following features are supported:

- `Start Color`
- `End Color`
- `Direction`
- `Cyclic`
- `Transparency`

See Also:
  - `AttributePackage.getGradient()`

## Method Summary

Modifier and Type
Method
Description
`Gradient`
`copyInstance()`
`double`
`getDirection()`
Returns the value of the 'Direction' attribute.
`ColorDefinition`
`getEndColor()`
Returns the value of the 'End Color' containment reference.
`ColorDefinition`
`getStartColor()`
Returns the value of the 'Start Color' containment reference.
`int`
`getTransparency()`
Returns the value of the 'Transparency' attribute.
`boolean`
`isCyclic()`
Returns the value of the 'Cyclic' attribute.
`boolean`
`isSetCyclic()`
Returns whether the value of the ' `Cyclic`' attribute is set.
`boolean`
`isSetDirection()`
Returns whether the value of the ' `Direction`' attribute is set.
`boolean`
`isSetTransparency()`
Returns whether the value of the '`Transparency`' attribute is set.
`void`
`setCyclic(boolean value)`
Sets the value of the '`Cyclic`' attribute.
`void`
`setDirection(double value)`
Sets the value of the '`Direction`' attribute.
`void`
`setEndColor(ColorDefinition value)`
Sets the value of the '`End Color`' containment reference.
`void`
`setStartColor(ColorDefinition value)`
Sets the value of the '`Start Color`' containment reference.
`void`
`setTransparency(int value)`
Sets the value of the ' `Transparency`' attribute.
`void`
`unsetCyclic()`
Unsets the value of the '`Cyclic`' attribute.
`void`
`unsetDirection()`
Unsets the value of the '`Direction`' attribute.
`void`
`unsetTransparency()`
Unsets the value of the ' `Transparency`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.Fill

`getType, isSetType, setType, unsetType`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getStartColor

ColorDefinition getStartColor()
Returns the value of the 'Start Color' containment reference. Gets the start color of the gradient. Specifies the start color of the gradient.

Returns:
  the value of the 'Start Color' containment reference.
See Also:
  - `setStartColor(ColorDefinition)`
  - `AttributePackage.getGradient_StartColor()`

### setStartColor

void setStartColor(ColorDefinition value)
Sets the value of the '`Start Color`' containment reference. Sets the start color of the gradient.

Parameters:
  `value` - the new value of the 'Start Color' containment reference.
See Also:
  - `getStartColor()`

### getEndColor

ColorDefinition getEndColor()
Returns the value of the 'End Color' containment reference. Gets the end color of the gradient. Specifies the end color of the gradient.

Returns:
  the value of the 'End Color' containment reference.
See Also:
  - `setEndColor(ColorDefinition)`
  - `AttributePackage.getGradient_EndColor()`

### setEndColor

void setEndColor(ColorDefinition value)
Sets the value of the '`End Color`' containment reference. Sets the end color of the gradient.

Parameters:
  `value` - the new value of the 'End Color' containment reference.
See Also:
  - `getEndColor()`

### getDirection

double getDirection()
Returns the value of the 'Direction' attribute. Gets the angle of the gradient. Defines the angle of the gradient. e.g. If Direction is 45, the Gradient is at an angle of 45 degrees to vertical. With start color being on the left.

Returns:
  the value of the 'Direction' attribute.
See Also:
  - `isSetDirection()`
  - `unsetDirection()`
  - `setDirection(double)`
  - `AttributePackage.getGradient_Direction()`

### setDirection

void setDirection(double value)
Sets the value of the '`Direction`' attribute. Sets the angle of the gradient.

Parameters:
  `value` - the new value of the 'Direction' attribute.
See Also:
  - `isSetDirection()`
  - `unsetDirection()`
  - `getDirection()`

### unsetDirection

void unsetDirection()
Unsets the value of the '`Direction`' attribute.

See Also:
  - `isSetDirection()`
  - `getDirection()`
  - `setDirection(double)`

### isSetDirection

boolean isSetDirection()
Returns whether the value of the ' `Direction`' attribute is set.

Returns:
  whether the value of the 'Direction' attribute is set.
See Also:
  - `unsetDirection()`
  - `getDirection()`
  - `setDirection(double)`

### isCyclic

boolean isCyclic()
Returns the value of the 'Cyclic' attribute. Attribute "Cyclic" specifies whether the gradient is cyclic or linear.

Returns:
  the value of the 'Cyclic' attribute.
See Also:
  - `isSetCyclic()`
  - `unsetCyclic()`
  - `setCyclic(boolean)`
  - `AttributePackage.getGradient_Cyclic()`

### setCyclic

void setCyclic(boolean value)
Sets the value of the '`Cyclic`' attribute.

Parameters:
  `value` - the new value of the 'Cyclic' attribute.
See Also:
  - `isSetCyclic()`
  - `unsetCyclic()`
  - `isCyclic()`

### unsetCyclic

void unsetCyclic()
Unsets the value of the '`Cyclic`' attribute.

See Also:
  - `isSetCyclic()`
  - `isCyclic()`
  - `setCyclic(boolean)`

### isSetCyclic

boolean isSetCyclic()
Returns whether the value of the ' `Cyclic`' attribute is set.

Returns:
  whether the value of the 'Cyclic' attribute is set.
See Also:
  - `unsetCyclic()`
  - `isCyclic()`
  - `setCyclic(boolean)`

### getTransparency

int getTransparency()
Returns the value of the 'Transparency' attribute. Gets the transparency for the gradient colors. Specifies the transparency for the gradient.

Returns:
  the value of the 'Transparency' attribute.
See Also:
  - `isSetTransparency()`
  - `unsetTransparency()`
  - `setTransparency(int)`
  - `AttributePackage.getGradient_Transparency()`

### setTransparency

void setTransparency(int value)
Sets the value of the ' `Transparency`' attribute. Sets the transparency for the gradient.

Parameters:
  `value` - the new value of the 'Transparency' attribute.
See Also:
  - `isSetTransparency()`
  - `unsetTransparency()`
  - `getTransparency()`

### unsetTransparency

void unsetTransparency()
Unsets the value of the ' `Transparency`' attribute.

See Also:
  - `isSetTransparency()`
  - `getTransparency()`
  - `setTransparency(int)`

### isSetTransparency

boolean isSetTransparency()
Returns whether the value of the '`Transparency`' attribute is set.

Returns:
  whether the value of the 'Transparency' attribute is set.
See Also:
  - `unsetTransparency()`
  - `getTransparency()`
  - `setTransparency(int)`

### copyInstance

Gradient copyInstance()

Specified by:
  `copyInstance` in interface `Fill`
Specified by:
  `copyInstance` in interface `IChartObject`